Indexes
API reference for indexes endpoints
https://api.riftcodex.comAll responses are JSON. No authentication is required for read operations.
Get a list of all unique keywords found across all cards in the database.
curl "https://api.riftcodex.com/index/keywords"
Response 200
// Successful Response
Get a list of card names found across all cards in the database.
curl "https://api.riftcodex.com/index/card-names"
Response 200
// Successful Response
Get a list of card types found across all cards in the database.
curl "https://api.riftcodex.com/index/card-types"
Response 200
// Successful Response
Get a list of card supertypes found across all cards in the database.
curl "https://api.riftcodex.com/index/card-types"
Response 200
// Successful Response
Get a list of card domains found across all cards in the database.
curl "https://api.riftcodex.com/index/domains"
Response 200
// Successful Response
Get a list of card rarities found across all cards in the database.
curl "https://api.riftcodex.com/index/rarities"
Response 200
// Successful Response
Get a list of card artists found across all cards in the database.
curl "https://api.riftcodex.com/index/artists"
Response 200
// Successful Response
Get a list of all possible energy values found across all cards in the database.
curl "https://api.riftcodex.com/index/energy"
Response 200
// Successful Response
Get a list of all possible might values found across all cards in the database.
curl "https://api.riftcodex.com/index/might"
Response 200
// Successful Response
Get a list of all possible power values found across all cards in the database.
curl "https://api.riftcodex.com/index/power"
Response 200
// Successful Response
Get a list of all unique tags found across all cards in the database.
curl "https://api.riftcodex.com/index/tags"
Response 200
// Successful Response
Index
| Field | Type | Required | Description |
|---|---|---|---|
| total | integer | ✓ yes | The total number of unique values for the given index type. |
| type | string | ✓ yes | The type of index, e.g. `keywords`, `sets`, `types`, etc. |
| values | (string | integer)[] | ✓ yes | The list of unique values for the given index type. |